Falls theme. Could there be a solution?

The client has a website on wp. Decided to update the design of installing the theme Impreza. When you activate the theme it gives an error (on the screen). When you activate other themes no error. Although if you create a new site, it is impreza is activated normally. Doing everything on the local server.

59d5213057afb748580243.jpeg
June 14th 19 at 20:00
2 answers
June 14th 19 at 20:02
Your theme will work on Wordpress versions older than 4.7, as a function of get_user_locale() is present in the core of Wordpress starting with version 4.7. The solution is simple - update the engine.
Weird. It is written that the wp version 4. And nothing to update wants. Maybe we should ban update? I just the whole folder with the site and engine from the client threw to the local server. - Estrella.Jones commented on June 14th 19 at 20:05
go to /wp-admin/about.php . There is some version? - alexandrea_Vandervo commented on June 14th 19 at 20:08
when you receive this page requires a login and password. When you enter nothing happens, the form will reset after load. - Estrella.Jones commented on June 14th 19 at 20:11
, 59d52b8e86d24593675961.jpeg - Estrella.Jones commented on June 14th 19 at 20:14
cool , this is about 4.0 in 2013 ))) As an option, activate one of the default Wordpress themes. Will be upgrading the kernel? If not, look in wp-config.php type constants WP_AUTO_UPDATE_CORE - Baylee_Kulas commented on June 14th 19 at 20:17
and what is there in this that she is not running the theme? Why is it impossible to disable it? - sonia20 commented on June 14th 19 at 20:20
is the kernel function, which anticipates the theme.
To rewrite the kernel of a system or themes is a bad idea. - Barrett.Little commented on June 14th 19 at 20:23
June 14th 19 at 20:04
You can not read?
In line 359 function is called get_user_local(), which is not defined. Remove it.

ps in the trail. times postaraytes to work hard to do resize images, and code to handle separately
Offer to demolish the core of Wordpress? ))) - Estrella.Jones commented on June 14th 19 at 20:07
the core? Are you talking about? This is the theme file that crooked changed or installed something on the server(libjudydebian1 libjudy-dev or something)... but here what question - such answer. How does anybody know what is there in this function? - alexandrea_Vandervo commented on June 14th 19 at 20:10
,
How does anybody know what is there in this function?

Well, documentation seems to be there, Yes. What you don't know about it and are not able to Google - it's not a problem of the author. Why flaunt your ignorance? - Estrella.Jones commented on June 14th 19 at 20:13

Find more questions by tags WordPressPHPHTML